% Options for packages loaded elsewhere
\PassOptionsToPackage{unicode}{hyperref}
\PassOptionsToPackage{hyphens}{url}
%
\documentclass[
]{article}
\usepackage{lmodern}
\usepackage{amsmath}
\usepackage{ifxetex,ifluatex}
\ifnum 0\ifxetex 1\fi\ifluatex 1\fi=0 % if pdftex
  \usepackage[T1]{fontenc}
  \usepackage[utf8]{inputenc}
  \usepackage{textcomp} % provide euro and other symbols
  \usepackage{amssymb}
\else % if luatex or xetex
  \usepackage{unicode-math}
  \defaultfontfeatures{Scale=MatchLowercase}
  \defaultfontfeatures[\rmfamily]{Ligatures=TeX,Scale=1}
\fi
% Use upquote if available, for straight quotes in verbatim environments
\IfFileExists{upquote.sty}{\usepackage{upquote}}{}
\IfFileExists{microtype.sty}{% use microtype if available
  \usepackage[]{microtype}
  \UseMicrotypeSet[protrusion]{basicmath} % disable protrusion for tt fonts
}{}
\makeatletter
\@ifundefined{KOMAClassName}{% if non-KOMA class
  \IfFileExists{parskip.sty}{%
    \usepackage{parskip}
  }{% else
    \setlength{\parindent}{0pt}
    \setlength{\parskip}{6pt plus 2pt minus 1pt}}
}{% if KOMA class
  \KOMAoptions{parskip=half}}
\makeatother
\usepackage{xcolor}
\IfFileExists{xurl.sty}{\usepackage{xurl}}{} % add URL line breaks if available
\IfFileExists{bookmark.sty}{\usepackage{bookmark}}{\usepackage{hyperref}}
\hypersetup{
  pdftitle={Week 2: PCA Exercises},
  hidelinks,
  pdfcreator={LaTeX via pandoc}}
\urlstyle{same} % disable monospaced font for URLs
\usepackage[margin=1in]{geometry}
\usepackage{color}
\usepackage{fancyvrb}
\newcommand{\VerbBar}{|}
\newcommand{\VERB}{\Verb[commandchars=\\\{\}]}
\DefineVerbatimEnvironment{Highlighting}{Verbatim}{commandchars=\\\{\}}
% Add ',fontsize=\small' for more characters per line
\usepackage{framed}
\definecolor{shadecolor}{RGB}{248,248,248}
\newenvironment{Shaded}{\begin{snugshade}}{\end{snugshade}}
\newcommand{\AlertTok}[1]{\textcolor[rgb]{0.94,0.16,0.16}{#1}}
\newcommand{\AnnotationTok}[1]{\textcolor[rgb]{0.56,0.35,0.01}{\textbf{\textit{#1}}}}
\newcommand{\AttributeTok}[1]{\textcolor[rgb]{0.77,0.63,0.00}{#1}}
\newcommand{\BaseNTok}[1]{\textcolor[rgb]{0.00,0.00,0.81}{#1}}
\newcommand{\BuiltInTok}[1]{#1}
\newcommand{\CharTok}[1]{\textcolor[rgb]{0.31,0.60,0.02}{#1}}
\newcommand{\CommentTok}[1]{\textcolor[rgb]{0.56,0.35,0.01}{\textit{#1}}}
\newcommand{\CommentVarTok}[1]{\textcolor[rgb]{0.56,0.35,0.01}{\textbf{\textit{#1}}}}
\newcommand{\ConstantTok}[1]{\textcolor[rgb]{0.00,0.00,0.00}{#1}}
\newcommand{\ControlFlowTok}[1]{\textcolor[rgb]{0.13,0.29,0.53}{\textbf{#1}}}
\newcommand{\DataTypeTok}[1]{\textcolor[rgb]{0.13,0.29,0.53}{#1}}
\newcommand{\DecValTok}[1]{\textcolor[rgb]{0.00,0.00,0.81}{#1}}
\newcommand{\DocumentationTok}[1]{\textcolor[rgb]{0.56,0.35,0.01}{\textbf{\textit{#1}}}}
\newcommand{\ErrorTok}[1]{\textcolor[rgb]{0.64,0.00,0.00}{\textbf{#1}}}
\newcommand{\ExtensionTok}[1]{#1}
\newcommand{\FloatTok}[1]{\textcolor[rgb]{0.00,0.00,0.81}{#1}}
\newcommand{\FunctionTok}[1]{\textcolor[rgb]{0.00,0.00,0.00}{#1}}
\newcommand{\ImportTok}[1]{#1}
\newcommand{\InformationTok}[1]{\textcolor[rgb]{0.56,0.35,0.01}{\textbf{\textit{#1}}}}
\newcommand{\KeywordTok}[1]{\textcolor[rgb]{0.13,0.29,0.53}{\textbf{#1}}}
\newcommand{\NormalTok}[1]{#1}
\newcommand{\OperatorTok}[1]{\textcolor[rgb]{0.81,0.36,0.00}{\textbf{#1}}}
\newcommand{\OtherTok}[1]{\textcolor[rgb]{0.56,0.35,0.01}{#1}}
\newcommand{\PreprocessorTok}[1]{\textcolor[rgb]{0.56,0.35,0.01}{\textit{#1}}}
\newcommand{\RegionMarkerTok}[1]{#1}
\newcommand{\SpecialCharTok}[1]{\textcolor[rgb]{0.00,0.00,0.00}{#1}}
\newcommand{\SpecialStringTok}[1]{\textcolor[rgb]{0.31,0.60,0.02}{#1}}
\newcommand{\StringTok}[1]{\textcolor[rgb]{0.31,0.60,0.02}{#1}}
\newcommand{\VariableTok}[1]{\textcolor[rgb]{0.00,0.00,0.00}{#1}}
\newcommand{\VerbatimStringTok}[1]{\textcolor[rgb]{0.31,0.60,0.02}{#1}}
\newcommand{\WarningTok}[1]{\textcolor[rgb]{0.56,0.35,0.01}{\textbf{\textit{#1}}}}
\usepackage{graphicx}
\makeatletter
\def\maxwidth{\ifdim\Gin@nat@width>\linewidth\linewidth\else\Gin@nat@width\fi}
\def\maxheight{\ifdim\Gin@nat@height>\textheight\textheight\else\Gin@nat@height\fi}
\makeatother
% Scale images if necessary, so that they will not overflow the page
% margins by default, and it is still possible to overwrite the defaults
% using explicit options in \includegraphics[width, height, ...]{}
\setkeys{Gin}{width=\maxwidth,height=\maxheight,keepaspectratio}
% Set default figure placement to htbp
\makeatletter
\def\fps@figure{htbp}
\makeatother
\setlength{\emergencystretch}{3em} % prevent overfull lines
\providecommand{\tightlist}{%
  \setlength{\itemsep}{0pt}\setlength{\parskip}{0pt}}
\setcounter{secnumdepth}{-\maxdimen} % remove section numbering
\ifluatex
  \usepackage{selnolig}  % disable illegal ligatures
\fi

\title{Week 2: PCA Exercises}
\author{}
\date{\vspace{-2.5em}}

\begin{document}
\maketitle

\begin{Shaded}
\begin{Highlighting}[]
\FunctionTok{library}\NormalTok{(readr)}
\NormalTok{pinot }\OtherTok{\textless{}{-}} \FunctionTok{read\_csv}\NormalTok{(}\StringTok{"data/pinot.csv"}\NormalTok{)}
\end{Highlighting}
\end{Shaded}

\begin{verbatim}
## 
## -- Column specification --------------------------------------------------------
## cols(
##   Al = col_double(),
##   Ba = col_double(),
##   Cr = col_double(),
##   Sr = col_double(),
##   Pb = col_double(),
##   B = col_double(),
##   Mg = col_double()
## )
\end{verbatim}

\hypertarget{introduction}{%
\section{Introduction}\label{introduction}}

\begin{Shaded}
\begin{Highlighting}[]
\NormalTok{model }\OtherTok{\textless{}{-}} \FunctionTok{princomp}\NormalTok{(pinot, }\AttributeTok{cor=}\ConstantTok{TRUE}\NormalTok{)}
\FunctionTok{summary}\NormalTok{(model)}
\end{Highlighting}
\end{Shaded}

\begin{verbatim}
## Importance of components:
##                          Comp.1    Comp.2    Comp.3    Comp.4     Comp.5
## Standard deviation     1.641565 1.2075826 1.0763713 0.8504486 0.79059852
## Proportion of Variance 0.384962 0.2083223 0.1655107 0.1033233 0.08929229
## Cumulative Proportion  0.384962 0.5932843 0.7587950 0.8621183 0.95141058
##                            Comp.6      Comp.7
## Standard deviation     0.52245076 0.259173917
## Proportion of Variance 0.03899354 0.009595874
## Cumulative Proportion  0.99040413 1.000000000
\end{verbatim}

\begin{Shaded}
\begin{Highlighting}[]
\FunctionTok{print}\NormalTok{(model}\SpecialCharTok{$}\NormalTok{loadings, }\AttributeTok{cutoff =} \DecValTok{0}\NormalTok{)}
\end{Highlighting}
\end{Shaded}

\begin{verbatim}
## 
## Loadings:
##    Comp.1 Comp.2 Comp.3 Comp.4 Comp.5 Comp.6 Comp.7
## Al  0.025  0.633  0.178  0.494  0.565  0.027  0.047
## Ba -0.506  0.175 -0.077 -0.393  0.187  0.659 -0.290
## Cr -0.297 -0.464  0.189  0.713 -0.145  0.289 -0.218
## Sr -0.570  0.101 -0.198  0.098 -0.173 -0.044  0.765
## Pb -0.064 -0.315  0.785 -0.280  0.328  0.002  0.307
## B   0.206 -0.475 -0.510  0.039  0.622  0.174  0.230
## Mg -0.533 -0.133 -0.104 -0.056  0.317 -0.671 -0.366
## 
##                Comp.1 Comp.2 Comp.3 Comp.4 Comp.5 Comp.6 Comp.7
## SS loadings     1.000  1.000  1.000  1.000  1.000  1.000  1.000
## Proportion Var  0.143  0.143  0.143  0.143  0.143  0.143  0.143
## Cumulative Var  0.143  0.286  0.429  0.571  0.714  0.857  1.000
\end{verbatim}

\begin{Shaded}
\begin{Highlighting}[]
\FunctionTok{screeplot}\NormalTok{(model, }\AttributeTok{type=}\StringTok{"line"}\NormalTok{)}
\end{Highlighting}
\end{Shaded}

\includegraphics{02_PCA2_files/figure-latex/unnamed-chunk-3-1.pdf}

\hypertarget{question-2}{%
\section{Question 2}\label{question-2}}

\begin{Shaded}
\begin{Highlighting}[]
\FunctionTok{library}\NormalTok{(readr)}
\NormalTok{Euroemp }\OtherTok{\textless{}{-}} \FunctionTok{read\_csv}\NormalTok{(}\StringTok{"data/Euroemp.csv"}\NormalTok{)}
\end{Highlighting}
\end{Shaded}

\begin{verbatim}
## 
## -- Column specification --------------------------------------------------------
## cols(
##   Country = col_character(),
##   AGR = col_double(),
##   MIN = col_double(),
##   MAN = col_double(),
##   PS = col_double(),
##   CON = col_double(),
##   SER = col_double(),
##   FIN = col_double(),
##   SPS = col_double(),
##   TC = col_double()
## )
\end{verbatim}

\begin{Shaded}
\begin{Highlighting}[]
\NormalTok{model\_euro }\OtherTok{\textless{}{-}} \FunctionTok{princomp}\NormalTok{(Euroemp[, }\SpecialCharTok{{-}}\DecValTok{1}\NormalTok{], }\AttributeTok{cor=}\ConstantTok{TRUE}\NormalTok{)}
\FunctionTok{summary}\NormalTok{(model\_euro)}
\end{Highlighting}
\end{Shaded}

\begin{verbatim}
## Importance of components:
##                           Comp.1    Comp.2    Comp.3    Comp.4    Comp.5
## Standard deviation     1.7641593 1.3450789 1.2232008 1.0312341 0.8427678
## Proportion of Variance 0.3458064 0.2010264 0.1662467 0.1181604 0.0789175
## Cumulative Proportion  0.3458064 0.5468328 0.7130795 0.8312399 0.9101574
##                           Comp.6     Comp.7     Comp.8       Comp.9
## Standard deviation     0.5579774 0.54168341 0.45146035 2.664149e-03
## Proportion of Variance 0.0345932 0.03260232 0.02264627 7.886324e-07
## Cumulative Proportion  0.9447506 0.97735294 0.99999921 1.000000e+00
\end{verbatim}

\textbf{i)} First component explains 34.5 of variance, the second one
explains 20.1\% and so on.

\textbf{ii)}

\begin{Shaded}
\begin{Highlighting}[]
\FunctionTok{print}\NormalTok{(model\_euro}\SpecialCharTok{$}\NormalTok{loadings, }\AttributeTok{cutoff =} \DecValTok{0}\NormalTok{)}
\end{Highlighting}
\end{Shaded}

\begin{verbatim}
## 
## Loadings:
##     Comp.1 Comp.2 Comp.3 Comp.4 Comp.5 Comp.6 Comp.7 Comp.8 Comp.9
## AGR  0.511  0.023  0.279  0.016  0.024  0.042  0.164  0.540  0.582
## MIN  0.375  0.000 -0.515  0.114 -0.346 -0.199 -0.213 -0.449  0.419
## MAN -0.246 -0.432  0.502  0.058  0.234  0.031 -0.236 -0.432  0.447
## PS  -0.316 -0.109  0.294  0.023 -0.854 -0.206  0.061  0.155  0.030
## CON -0.222  0.242 -0.072  0.783 -0.062  0.503  0.020  0.031  0.129
## SER -0.382  0.408 -0.065  0.169  0.267 -0.673 -0.175  0.202  0.245
## FIN -0.131  0.553  0.096 -0.489 -0.131  0.406 -0.458 -0.027  0.191
## SPS -0.428 -0.055 -0.360 -0.317  0.046  0.158  0.621 -0.041  0.410
## TC  -0.205 -0.517 -0.413 -0.042  0.023  0.142 -0.492  0.502  0.061
## 
##                Comp.1 Comp.2 Comp.3 Comp.4 Comp.5 Comp.6 Comp.7 Comp.8 Comp.9
## SS loadings     1.000  1.000  1.000  1.000  1.000  1.000  1.000  1.000  1.000
## Proportion Var  0.111  0.111  0.111  0.111  0.111  0.111  0.111  0.111  0.111
## Cumulative Var  0.111  0.222  0.333  0.444  0.556  0.667  0.778  0.889  1.000
\end{verbatim}

The first component is the contrast between AGR, MIN vs the rest of the
variables.\\
The second component is a contrast between MAN, PS, TC vs CON, SER, FIN.

\textbf{iii)}

\begin{Shaded}
\begin{Highlighting}[]
\FunctionTok{screeplot}\NormalTok{(model\_euro, }\AttributeTok{type=}\StringTok{"line"}\NormalTok{)}
\end{Highlighting}
\end{Shaded}

\includegraphics{02_PCA2_files/figure-latex/unnamed-chunk-6-1.pdf} We
should use 4 components (variance \textgreater= 1). They explain 83\% of
variance.

\hypertarget{question-3}{%
\section{Question 3}\label{question-3}}

\begin{Shaded}
\begin{Highlighting}[]
\FunctionTok{library}\NormalTok{(readr)}
\NormalTok{goblets }\OtherTok{\textless{}{-}} \FunctionTok{read\_csv}\NormalTok{(}\StringTok{"data/goblets.csv"}\NormalTok{)}
\end{Highlighting}
\end{Shaded}

\begin{verbatim}
## 
## -- Column specification --------------------------------------------------------
## cols(
##   X1 = col_double(),
##   X2 = col_double(),
##   X3 = col_double(),
##   X4 = col_double(),
##   X5 = col_double(),
##   X6 = col_double()
## )
\end{verbatim}

\begin{Shaded}
\begin{Highlighting}[]
\NormalTok{model\_goblets }\OtherTok{\textless{}{-}} \FunctionTok{princomp}\NormalTok{(goblets, }\AttributeTok{cor =} \ConstantTok{TRUE}\NormalTok{)}
\FunctionTok{summary}\NormalTok{(model\_goblets)}
\end{Highlighting}
\end{Shaded}

\begin{verbatim}
## Importance of components:
##                          Comp.1    Comp.2     Comp.3     Comp.4     Comp.5
## Standard deviation     2.066828 1.0450729 0.62028038 0.37735439 0.25552624
## Proportion of Variance 0.711963 0.1820296 0.06412462 0.02373272 0.01088228
## Cumulative Proportion  0.711963 0.8939925 0.95811715 0.98184987 0.99273215
##                             Comp.6
## Standard deviation     0.208823116
## Proportion of Variance 0.007267849
## Cumulative Proportion  1.000000000
\end{verbatim}

\begin{Shaded}
\begin{Highlighting}[]
\FunctionTok{print}\NormalTok{(model\_goblets}\SpecialCharTok{$}\NormalTok{loadings)}
\end{Highlighting}
\end{Shaded}

\begin{verbatim}
## 
## Loadings:
##    Comp.1 Comp.2 Comp.3 Comp.4 Comp.5 Comp.6
## X1  0.366  0.486  0.618  0.324  0.278  0.256
## X2  0.452        -0.375  0.674        -0.439
## X3  0.411 -0.441 -0.316         0.383  0.624
## X4  0.462 -0.115  0.159 -0.541  0.382 -0.556
## X5  0.296  0.683 -0.491 -0.359 -0.221  0.163
## X6  0.438 -0.298  0.332 -0.133 -0.758  0.130
## 
##                Comp.1 Comp.2 Comp.3 Comp.4 Comp.5 Comp.6
## SS loadings     1.000  1.000  1.000  1.000  1.000  1.000
## Proportion Var  0.167  0.167  0.167  0.167  0.167  0.167
## Cumulative Var  0.167  0.333  0.500  0.667  0.833  1.000
\end{verbatim}

\begin{Shaded}
\begin{Highlighting}[]
\FunctionTok{screeplot}\NormalTok{(model\_goblets, }\AttributeTok{type =} \StringTok{"line"}\NormalTok{)}
\end{Highlighting}
\end{Shaded}

\includegraphics{02_PCA2_files/figure-latex/unnamed-chunk-8-1.pdf}

\hypertarget{question-4}{%
\section{Question 4}\label{question-4}}

\begin{Shaded}
\begin{Highlighting}[]
\NormalTok{football.temp }\OtherTok{\textless{}{-}} \FunctionTok{read.csv}\NormalTok{(}\StringTok{"http://www.football{-}data.co.uk/mmz4281/1617/E0.csv"}\NormalTok{)}
\FunctionTok{attach}\NormalTok{(football.temp)}
\NormalTok{football }\OtherTok{\textless{}{-}} \FunctionTok{data.frame}\NormalTok{(}\FunctionTok{cbind}\NormalTok{(FTHG,FTAG,HST,AST,HS,AS))}
\end{Highlighting}
\end{Shaded}

\begin{Shaded}
\begin{Highlighting}[]
\NormalTok{model\_football }\OtherTok{\textless{}{-}} \FunctionTok{princomp}\NormalTok{(football, }\AttributeTok{cor =} \ConstantTok{TRUE}\NormalTok{)}
\FunctionTok{summary}\NormalTok{(model\_football)}
\end{Highlighting}
\end{Shaded}

\begin{verbatim}
## Importance of components:
##                          Comp.1    Comp.2    Comp.3     Comp.4     Comp.5
## Standard deviation     1.708533 1.1975020 0.8417639 0.71965029 0.46807382
## Proportion of Variance 0.486514 0.2390018 0.1180944 0.08631609 0.03651552
## Cumulative Proportion  0.486514 0.7255158 0.8436102 0.92992630 0.96644182
##                            Comp.6
## Standard deviation     0.44871937
## Proportion of Variance 0.03355818
## Cumulative Proportion  1.00000000
\end{verbatim}

\begin{Shaded}
\begin{Highlighting}[]
\FunctionTok{print}\NormalTok{(model\_football}\SpecialCharTok{$}\NormalTok{loadings, }\AttributeTok{cutoff =} \DecValTok{0}\NormalTok{)}
\end{Highlighting}
\end{Shaded}

\begin{verbatim}
## 
## Loadings:
##      Comp.1 Comp.2 Comp.3 Comp.4 Comp.5 Comp.6
## FTHG  0.320  0.457  0.596  0.511  0.137  0.231
## FTAG -0.341  0.441 -0.554  0.520 -0.327  0.071
## HST   0.446  0.440 -0.061 -0.215 -0.262 -0.698
## AST  -0.424  0.478 -0.030 -0.247  0.711 -0.157
## HS    0.454  0.302 -0.373 -0.414  0.046  0.624
## AS   -0.443  0.287  0.440 -0.435 -0.547  0.199
## 
##                Comp.1 Comp.2 Comp.3 Comp.4 Comp.5 Comp.6
## SS loadings     1.000  1.000  1.000  1.000  1.000  1.000
## Proportion Var  0.167  0.167  0.167  0.167  0.167  0.167
## Cumulative Var  0.167  0.333  0.500  0.667  0.833  1.000
\end{verbatim}

\begin{Shaded}
\begin{Highlighting}[]
\FunctionTok{screeplot}\NormalTok{(model\_football, }\AttributeTok{type =} \StringTok{"line"}\NormalTok{)}
\end{Highlighting}
\end{Shaded}

\includegraphics{02_PCA2_files/figure-latex/unnamed-chunk-10-1.pdf}

\begin{Shaded}
\begin{Highlighting}[]
\NormalTok{model\_football}\SpecialCharTok{$}\NormalTok{scores[}\DecValTok{1}\NormalTok{,}\DecValTok{1}\NormalTok{]}
\end{Highlighting}
\end{Shaded}

\begin{verbatim}
##    Comp.1 
## -2.336741
\end{verbatim}

\end{document}
